unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ComCtrls;

type

  { TfrmMain }

  TfrmMain = class(TForm)
    CheckBox1: TCheckBox;
    PgCtrl: TPageControl;
    TabSheet1: TTabSheet;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    FNewTabSheetIndex: Integer;
    FFrmChildLeft: Integer;
    FFrmChildTop: Integer;
    FFrmChildWidth: Integer;
    FFrmChildHeight: Integer;
    procedure SetFrmChildHeight(AValue: Integer);
    procedure SetFrmChildLeft(AValue: Integer);
    procedure SetFrmChildTop(AValue: Integer);
    procedure SetFrmChildWidth(AValue: Integer);
    procedure SetNewTabSheetIndex(AValue: Integer);
  public
    property FrmChildLeft: Integer read FFrmChildLeft write SetFrmChildLeft;
    property FrmChildTop: Integer read FFrmChildTop write SetFrmChildTop;
    property FrmChildWidth: Integer read FFrmChildWidth write SetFrmChildWidth default 320;
    property FrmChildHeight: Integer read FFrmChildHeight write SetFrmChildHeight default 240;
    property NewTabSheetIndex: Integer read FNewTabSheetIndex write SetNewTabSheetIndex;
  end;

var
  frmMain: TfrmMain;

implementation
uses
  Unit2;

{$R *.lfm}

{ TfrmMain }

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  FrmChildWidth:= 320;
  FrmChildHeight:= 240;
  NewTabSheetIndex:= PgCtrl.PageCount;
end;

procedure TfrmMain.FormShow(Sender: TObject);
begin
  frmChild.btnDockedClick(Sender);
end;

procedure TfrmMain.SetFrmChildLeft(AValue: Integer);
begin
  if FFrmChildLeft= AValue then Exit;
  FFrmChildLeft:= AValue;
end;

procedure TfrmMain.SetFrmChildHeight(AValue: Integer);
begin
  if FFrmChildHeight= AValue then Exit;
  FFrmChildHeight:= AValue;
end;

procedure TfrmMain.SetFrmChildTop(AValue: Integer);
begin
  if FFrmChildTop= AValue then Exit;
  FFrmChildTop:= AValue;
end;

procedure TfrmMain.SetFrmChildWidth(AValue: Integer);
begin
  if FFrmChildWidth= AValue then Exit;
  FFrmChildWidth:= AValue;
end;

procedure TfrmMain.SetNewTabSheetIndex(AValue: Integer);
begin
  if FNewTabSheetIndex= AValue then Exit;
  FNewTabSheetIndex:= AValue;
end;

end.

